Bug 812527 - Wireless ( BCM4313 ) not working with 3.4.0-0.rc2.git2.1
Wireless ( BCM4313 ) not working with 3.4.0-0.rc2.git2.1
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-14 07:47 EDT by Jóhann B. Guðmundsson
Modified: 2012-08-10 13:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 13:00:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (60.74 KB, text/plain)
2012-04-14 07:47 EDT, Jóhann B. Guðmundsson
no flags Details
lspci -vv output (24.91 KB, text/plain)
2012-04-14 07:48 EDT, Jóhann B. Guðmundsson
no flags Details
Output from lsmod (2.12 KB, text/plain)
2012-04-16 16:15 EDT, Jóhann B. Guðmundsson
no flags Details
F17 dmesg (69.73 KB, text/plain)
2012-04-16 20:24 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2012-04-14 07:47:24 EDT
Created attachment 577453 [details]
dmesg output

Description of problem:

Not sure if this is expected to work or not since with 3.2 it did not but with 3.3 it seem to did without me having to jump through hoops to get it to work in any case I'm just reporting it just close this as NOTABUG if not relevant. 

Version-Release number of selected component (if applicable):

3.4.0-0.rc2.git2.1 running on F16 

How reproducible:

Always

Steps to Reproduce:
1. Install that kernel release then boot
2.
3.
  
Actual results:

No wireless network connectivity 

Expected results:

WiFi baby WiFi =)

Additional info:

Other than that rather dull kernel build things just seem to work in fact it looked like 3.4 fixed some graphical tearing I have experienced but been to lazy to report..
Comment 1 Jóhann B. Guðmundsson 2012-04-14 07:48:13 EDT
Created attachment 577454 [details]
lspci -vv output
Comment 2 John W. Linville 2012-04-16 10:53:26 EDT
Can we see the output of running 'lsmod', please?
Comment 3 Jóhann B. Guðmundsson 2012-04-16 16:15:07 EDT
Created attachment 577829 [details]
Output from lsmod

No problem here you go =)

I'm about do a fresh install of F17 beta on this hw so I can participate in the jboss testday tomorrow so I should be able to provide a clean report if this works or not out of the box. ( was forced to install the akmods package from rpmfusion to get wireless initially working on F16 )
Comment 4 Jóhann B. Guðmundsson 2012-04-16 20:24:31 EDT
Created attachment 577864 [details]
F17 dmesg

The wireless driver got detected both in Anaconda and after F17 install. 

I've had difficulties connecting to the AP but that might be a NetworkManager bug. 

I'm attaching the dmesg output just in case you can then just review it and close the bug if it's irrelevant.
Comment 5 John W. Linville 2012-04-17 10:07:55 EDT
You don't seem to be loading brcmsmac on f16.  What config are you using for that kernel?

Anyway, I didn't get that you were building your own kernel on F16.  That really isn't something we support...
Comment 6 Jóhann B. Guðmundsson 2012-04-18 04:10:45 EDT
(In reply to comment #5)
> You don't seem to be loading brcmsmac on f16.  What config are you using for
> that kernel?

Using stock Fedora kernels.

Perhaps the kernel team changed config?

The driver did not load/work with kernel-3.3.2-1.fc16 either but did work with kernel-3.3.1-5.fc16 so I would start looking what/if something,anything changed with kernel-3.3.2-1.fc16 if you are in the mood to hunt this down...

> 
> Anyway, I didn't get that you were building your own kernel on F16.  That
> really isn't something we support...

I never said I did nor was I doing that so...
Comment 7 John W. Linville 2012-04-18 09:31:26 EDT
> Version-Release number of selected component (if applicable):
> 
> 3.4.0-0.rc2.git2.1 running on F16

There is no such f16 kernel available through Koji.  If you didn't build it yourself, how did you get it?

I have no idea why bcma isn't loading, then pulling-in the appropriate driver (probably brcmsmac).  Have you tried manually loading it with 'modprobe bcma'?
Comment 8 Jóhann B. Guðmundsson 2012-04-18 15:17:41 EDT
(In reply to comment #7)
> > Version-Release number of selected component (if applicable):
> > 
> > 3.4.0-0.rc2.git2.1 running on F16
> 
> There is no such f16 kernel available through Koji.  If you didn't build it
> yourself, how did you get it?

It was the kernel-3.4.0-0.rc2.git2.1.fc18 running on F16. 

Alot of us in the community run the latest kernel, built for another release to be able to test it. 

> 
> I have no idea why bcma isn't loading, then pulling-in the appropriate driver
> (probably brcmsmac).  Have you tried manually loading it with 'modprobe bcma'?

As I mentioned in comment 3 I was about to do a fresh install of F17 beta on this hw which I did.

In comment 4 I mentioned that BCM4313 worked just fine in Anacond installer on the beta dvd ( with whatever kernel Anaconda is using there ) and the default installed kernel which is kernel-3.3.1-5.fc17.x86_64.

Then I installed the latest kernel in koji kernel from koji at that time which was 3.4.0-0.rc3.git0.1.fc18.x86_64 on the newly installed F17 beta and confirmed BCM4313 worked just fine there. 

So basically BCM4313 on F17 works A OK with the default installed kernel and kernel 3.4.0-0.rc3.git0.1.fc18.x86_64. 

With F16

kernel-3.3.1-3.fc16 Worked
kernel-3.3.2-1.fc16 Did not work ( Official build for F16 )
kernel-3.4.0-0.rc2.git2.1.fc18 Did not work ( Official build for F18 )

Feel free to close this as NOTABUG and just keep it in the back of your head if other experience BCM4313 on F16 not working to see if --> kernel-3.3.2-1.fc16 <-- is the culprit.
Comment 9 Josh Boyer 2012-08-10 13:00:24 EDT
Closing this out per the previous comment.  Also, I have a machine with a BCM4313 device and it is working fine on F17 and with the rawhide kernels.

Note You need to log in before you can comment on or make changes to this bug.